@import "src/styles";

:host{
    display: block;
    border-bottom: 1px solid $color-dark-blue;
}

.expansion-panel-button{
    padding: 0;
    padding-left: 8px;
    padding-right: 8px;
    width: 100%;
    text-align: left;
    border: none;
    background-color: transparent;
    display: flex;
    align-items: center;
    padding-top: 12px;
    padding-bottom: 12px;
    cursor: pointer;

    &:hover, &:focus-visible{
        background-color: rgba($color-teal, 0.1);
    }

    .expansion-panel-title{
        font-size: 16px;
        color: $color-dark-blue;
        font-weight: bold;
        padding-right: 8px;
    }

    .expansion-panel-icon{
        font-size: 24px;
        margin-left: auto;
        font-weight: bolder;
    }    
}
.expansion-panel-content{
    span{
        display: block;
        padding-top: 4px;
        padding-bottom: 12px;
        padding-left: 8px;
        padding-right: 8px;        
    }

}
